patches-own [odore]
globals [time osservazione voglio vogliob delay] ; variabili globale da mettere con gli slides

breed [fiori fiore]
breed [bambini bambino]
breed [api ape]
breed [farfalle farfalla]

to colora ;disegna fiore rossi e gialli nel prato con odori diversi
ask patches [ if (random 100 < 2 ) [sprout-fiori 1[riempi set shape "flower" set size 1.5 set color (40 + odore )
]]]
ask patches [ if (random 100 < 2 ) [ sprout-fiori 1[riempi-f set shape "flower" set size 1.5 set color (10 + odore ) 
]]]
end

to riempi ;sceglie un pezzo di prato vuoto per far nascere un fiore per api
locals [colore]
ifelse (nsum odore = 0) [
set colore ((random 6) + 4)
set odore colore
ask neighbors [set odore colore]][ fd random 10 rt random 90 riempi]
end

to riempi-f ;sceglie un pezzo di prato vuoto per far nascere un fiore per farfalle
locals [colore]
ifelse (nsum odore = 0) [
set colore ((random 6) + 4)
set odore colore + 10
ask neighbors [set odore colore + 10]][fd random 10 rt random 90 riempi-f]
end


to inizia ;inizializza le popolazioni di api e farfalle
ca
ask patches [set pcolor lime set odore 0]
colora
ask n-of tot-api patches[sprout-api 1[
set shape "bee" set color brown set size 1]]
ask n-of tot-farfalle patches[sprout-farfalle 1[
set shape "butterfly" set color magenta set size 1]]
set osservazione false
set voglio false
set vogliob false
set watch-delay 1
set delay 0
set time 0
end

to arrivano-bambini ;nasce la popolazione dei bambini
ask n-of tot-bambini patches [sprout-bambini 1 [set shape "bambino" set color 139 set size 2]]
end

to cattura ;i bambini catturano le farfalle
ask bambini [set heading towards target-bambini 10 fd 1 wait delay
 if (any? farfalle-here)
   [if (osservazione = false and vogliob = true) [watch-me set osservazione true set delay watch-delay] 
    wait delay ask one-of farfalle-here [die] set shape "bambino cattura farfalla"
   wait (watch-delay + 1)  set shape "bambino"  wait delay reset-perspective set osservazione false set delay 0
   set time time + 1 ]]
end

to a-casa ;i bambini ritornano a casa
ask bambini[die]
end

to via ;api e farfalle incominciano a volare
ask api[trova-fiore-api]
ask farfalle[trova-fiore-farfalle]
cattura
set-current-plot "grafico-popolazioni-farfalle"
set-current-plot-pen "farfalle"
plot (count farfalle)
end

to trova-fiore-api 
ifelse ((odore > 5) and (odore < 10)) [fd 1 if (odore = 0) [bk 1 rt 36] rt 36 mangia-api ] [fd 1 rt 30 fd 1 lt 30]
end 

to trova-fiore-farfalle
ifelse ((odore > 15) and (odore < 20)) [fd 1 if (odore = 0) [bk 1 rt 36] rt 36 mangia-farfalle] [fd 1 rt 30 fd 1 lt 30]
end 

to mangia-api
ask one-of api-here [if (nsum odore = odore * 8)
[ifelse ( color = brown ) [prendi-polline][lascia-polline]]]
end

to mangia-farfalle
ask one-of farfalle-here [if (nsum odore = odore * 8)
[ifelse ( color = magenta ) [prendi-polline-farfalle][lascia-polline-farfalle]]]
end

to prendi-polline
if (who < random 70)
[set color orange
jump 150]
end

to prendi-polline-farfalle
if (who < random 100)
[set color pink
jump 150]
end

to lascia-polline
set color brown
nuovo-fiore
end

to lascia-polline-farfalle

set color magenta
nuovo-fiore-farfalle
end

to nuovo-fiore
locals[fiore-secco]
;if (any? fiori-here)[
ask fiori-here [set fiore-secco who 
                if (osservazione = false and voglio = true) [watch-me set osservazione true set delay watch-delay]]
fd 1 rt 30 fd 1 lt 30
ask fiore fiore-secco
[set color 38
set shape "fiore-appassito"
wait delay
set color 37
wait delay
set color brown
wait delay
set odore 0 
ask neighbors [set odore 0]
cerca-patch 
cambia-seme
set shape "flower" set size 1.5 set color (40 + odore ) ]
;]
wait delay reset-perspective set osservazione false set delay 0
end

to nuovo-fiore-farfalle
locals[fiore-secco]
;if (any? fiori-here)[
ask fiori-here  [set fiore-secco who
                                      if (osservazione = false and voglio = true) [watch-me set osservazione true set delay watch-delay]]
fd 1 rt 30 fd 1 lt 30
ask fiore fiore-secco
[set color 38
set shape "fiore-appassito"
wait delay
set color 37
wait delay
set color brown
wait delay
set odore 0 
ask neighbors [set odore 0]
cerca-patchf 
cambia-seme 
set shape "flower" set size 1.5 set color (10 + odore)]
;]
wait delay reset-perspective set osservazione false set delay 0
end

to cerca-patchf
wait delay
set size 1
set shape "seme"  wait delay
jump random 50 rt random 90 jump random 50 ifelse odore = 0 [riempi-f][cerca-patchf]
end

to cambia-seme
wait delay
set color green  set shape "plant small"  wait delay
set shape "plant medium"   wait delay set shape "plant"  wait delay 
end

to cerca-patch
wait delay
set size 1
set shape "seme"  wait delay
jump random 50 rt random 90 jump random 50  ifelse odore = 0 [riempi][cerca-patch]
end

to salva-farfalle ; se sono presenti tot-farfalle farfalle o meno, triplica la popolazione
if (count farfalle <= tot-farfalle ) [ask farfalle [hatch 2[set heading towards target-farfalle 3 rt 180 fd 1  wait delay]]]
; ogni farfalla presente ne genera 2 e si allontana da un eventuale bambino vicino
end


to-report target-bambini [raggio-intorno]; controlla se ci sono farfalle nell'intorno considreta
ifelse (any? farfalle in-radius raggio-intorno) ;se ci sono ne restiuisce una come target
 [report one-of farfalle in-radius raggio-intorno];se non ci sono farfalle nei 8 paches intorno alla sua patch
 [let target 0                                    ;restituisce il pacth dove si trova il bambino che ha chiamato il report
   ask patch-here [set target one-of neighbors]
   report target]
end

to-report target-farfalle [raggio-intorno] ; controlla se ci sono bambini nell'intorno considreta
ifelse (any? bambini in-radius raggio-intorno);se ci sono ne restiuisce una come target
 [report one-of bambini in-radius raggio-intorno];se non ci sono bambini nei 8 paches intorno alla sua patch
 [let target 0                                    ;restituisce il pacth dove si trova la farfalla che ha chiamato il report
   ask patch-here [set target one-of neighbors]
   report target]
end

@#$#@#$#@
GRAPHICS-WINDOW
282
10
973
489
20
13
16.61
1
10
1
1
1
0
1
1
1
-20
20
-13
13

CC-WINDOW
5
565
982
660
Command Center
0

SLIDER
-3
10
169
43
tot-api
tot-api
0
100
10
1
1
NIL

SLIDER
-4
47
168
80
tot-farfalle
tot-farfalle
0
100
24
1
1
NIL

BUTTON
2
125
65
158
NIL
inizia
NIL
1
T
OBSERVER
T
NIL

SLIDER
-3
82
169
115
tot-bambini
tot-bambini
0
100
15
1
1
NIL

BUTTON
82
127
145
160
NIL
via
T
1
T
OBSERVER
T
NIL

BUTTON
11
169
135
202
NIL
arrivano-bambini
NIL
1
T
OBSERVER
T
NIL

BUTTON
1
209
70
242
NIL
a-casa
NIL
1
T
OBSERVER
T
NIL

BUTTON
156
167
265
200
nuove farfalle
salva-farfalle
NIL
1
T
OBSERVER
T
NIL

PLOT
14
279
253
433
grafico-popolazioni-farfalle
NIL
NIL
0.0
50.0
0.0
100.0
true
false
PENS
"farfalle" 1.0 0 -5825686 true

BUTTON
2
485
156
518
monitoraggio riproduzione fiori
set voglio true
NIL
1
T
OBSERVER
T
NIL

BUTTON
3
518
150
551
interruzione monitoraggio 
set voglio false
NIL
1
T
OBSERVER
T
NIL

BUTTON
160
485
316
518
monitoraggio cattura farfalle
set vogliob true
NIL
1
T
OBSERVER
T
NIL

BUTTON
161
518
333
551
interruzione monitoraggio farfalle
set vogliob false
NIL
1
T
OBSERVER
T
NIL

SLIDER
12
442
184
475
watch-delay
watch-delay
0
10
1.0
0.1
1
NIL

MONITOR
202
23
259
72
time
time
0
1

@#$#@#$#@
DI COSA SI TRATTA
-------------------
Tra le prime esperienze dei bambini a scuola c' quella di piantare i semi delle piante e osservare come crescono. La botanica, una delle principali branche della biologia, rimane una parte importante del curriculum durante tutto l'arco scolare. E' una materia ricca, piena di collegamenti a molte altre materie, dalla letteratura alla matematica, all'arte. Gli obiettivi didattici dell'unit sulle piante  di aiutare gli studenti ad imparare, attraverso un'animazione, il ruolo degli insetti nell'impollinazione incrociata. Si rimanda alla sezione valenza didattica per ulteriori approfondimenti relativi ai processi di apprendimento e insegnamento dell'informatica.
In questo progetto viene rappresentato un giardino fiorito animato da insetti (api e farfalle) e bambini.
Vengono definite quattro popolazioni (fiori, api, farfalle e bambini) che si evolvono seguendo regole diverse pur interagendo tra loro.


COME SI EVOLVE
------------
Il giardino si presenta inizialmente come un prato verde su cui vive la popolazione dei fiori diversi per colore, sfumature di colore e odore.
Gli insetti sono attirati dai fiori e contribuiscono alla impollinazione trasportando il polline che si attacca al loro corpo quando si posano su un fiore. 
Le api sono attratte dai fiori gialli (non vedono il rosso) che hanno un odore pi dolce mentre le farfalle dai fiori rossi con odore dolce. 


COME SI USA
-------------
Nellinterfaccia ci sono quattro slider, tre dei quali definiscono il numero di api (tot-api), di farfalle (tot-farfalle)  e di bambini (tot-bambini) che popolano lambiente; lo slider watch-delay consente di rallentare il movimento di cattura di farfalle o di crescita delle nuove piantine.
Vi sono inoltre nove bottoni con cui  possibile far evolvere lambiente e monitorare la riproduzione di fiori e la cattura di farfalle.
Il bottone inizia d vita al prato con i fiori, le  api e le farfalle. 
Il bottone via determina il movimento delle api e delle farfalle.
Il bottone arrivano-bambini fa apparire nuovi tot-bambini bambini nel prato.
Il bottone a-casa toglie i bambini dal prato.
Il bottone nuove-farfalle triplica la popolazione se non supera le tot-farfalle unit.
I bottoni monitoraggio riproduzione fiori e interruzione monitoraggio servono per focalizzare/distogliere lattenzione su/da  la formazione di un seme e il trasporto da parte del vento in unarea libera in cui germinare e far crescere la pianta.
I bottoni monitoraggio cattura farfalle e interruzione monitoraggio farfalle servono per focalizzare/distogliere lattenzione su/da  la cattura di una farfalla da parte di un bambino.
Il monitor time evidenzia il numero di farfalle catturate complessivamente.
Il plot grafico-popolazione-farfalle mostra levolversi della popolazione delle farfalle nel tempo.
E conveniente ridurre la velocit a circa la met per ottenere un evoluzione osservabile.



DA NOTARE
----------------
Quando unape individua un fiore con odore gradevole e attraente, vi si posa e il polline si attacca al suo corpo. Questo fatto  evidenziato dal cambiamento di colore della testa dellape che da brown diventa orange
Lape soddisfatta della suzione del nettare si allontana dal fiore per cercarne altri.
Se trasporta polline e si posa su un altro fiore, avviene limpollinazione (la testa dellape torna ad essere brown): il fiore secca e muore dando origine ad un seme che viene trasportato dal vento in uno spazio libero per la riproduzione. Il seme dopo essersi posato, germoglia e fa nascere una pianta che fiorisce.
Analogo il comportamento delle farfalle il cui contatto con il polline  evidenziato dal cambiamento di colore da magenta a pink e viceversa al rilascio del polline.
La popolazione delle farfalle, in presenza di bambini, tende a ridursi per la cattura e se non completamente azzerata pu rigenerarsi con il bottone nuove farfalle


COSE DA PROVARE
-------------
Stabilita la numerosit di un gruppo di bambini, durante lesecuzione  possibile far entrare uno o pi  gruppi di bambini con il pulsante arrivano-bambini.
E possibile confrontare la velocit di decremento della popolazione di farfalle rispetto al numero di gruppi di bambini attivati nella cattura.
Se la popolazione di farfalle non  completamente azzerata e conta un numero non maggiore di tot-farfalle,  possibile aumentare il numero dei suoi individui attivi nellambiente con il bottone nuove farfalle, con cui se, si triplica la popolazione esistente.


AMPLIAMENTO DEL MODELLO
-------------------
Supponendo di rappresentare un giardino limitato da una recinzione,  possibile stabilire un punto di ingresso e di uscita per i bambini.
E possibile stabilire ulteriori regole di comportamento per le popolazioni di insetti. Ad esempio, per le farfalle si pu stabililire un ciclo di vita di lunghezza prefissata a partire dal bruco, generato dallaccoppiamento di due farfalle adulte.
Unulteriore popolazione di uccelli  che si ciba di semi e di piccoli insetti (i bruchi) o mosche attratte da odori sgradevoli, pu essere introdotta per interagire con lambiente gi definito.
E possibile inserire variabili che lutente setta che forniscono direzione e velocit del vento che trasporta i semi.


DIDATTICA
----------------
L'unit pu essere adattata sia ad una classe del corso primario o nell'ambito del corso di informatica in una classe terza di un istituto superiore, ovviamente scegliendo in modo opportuno gli obiettivi didattici.
Supponiamo di affrontare l'unit didattica in una terza superiore come introduzione alla programmazione. 
Il Netlogo  uno strumento particolarmente interessante per la semplicit dell'aproccio
OBIETTIVI
Dare le base della programmazione i modo semplice ed al tempo stesso efficacie e divertente.
PREREQUISITI
Fondamenti di matematica e geometria.






@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

link
true
0
Line -7500403 true 150 0 150 300

link direction
true
0
Line -7500403 true 150 150 30 225
Line -7500403 true 150 150 270 225

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

bambina
false
0
Polygon -2064490 true false 120 90 105 90 60 195 90 210 120 150 120 195 180 195 180 150 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 109 5 80
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -1 true false 120 186 180 195
Rectangle -2064490 true false 179 164 180 180
Rectangle -7500403 true true 150 135 150 150
Rectangle -7500403 false true 150 135 150 150
Rectangle -10899396 true false 150 150 150 195
Polygon -2064490 true false 120 195 180 195 210 285 90 285
Polygon -2064490 true false 120 90 180 90 150 165
Circle -1 true false 152 166 9
Circle -1 true false 139 166 9
Circle -1 true false 139 166 9
Circle -1 true false 152 151 9
Circle -1 true false 139 151 9
Circle -1 true false 152 136 9
Circle -1 true false 139 136 9
Polygon -1 true false 150 90 120 105 120 90 180 90 180 105 150 90
Polygon -6459832 true false 90 30 120 0 180 0 210 30 210 75 180 75 180 30 120 30 120 75 90 75
Polygon -16777216 true false 105 285 135 285 135 300 105 300
Polygon -16777216 true false 165 285 195 285 195 300 165 300 165 285
Polygon -13345367 true false 60 210 30 120 45 105 60 210
Circle -13345367 true false 3 48 85
Circle -1 true false 11 56 67
Circle -2064490 true false 45 195 30
Circle -2064490 true false 210 195 30

bambina cattura farfalla
false
0
Polygon -2064490 true false 120 90 105 90 60 195 90 210 120 150 120 195 180 195 180 150 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 109 5 80
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -1 true false 120 186 180 195
Rectangle -2064490 true false 179 164 180 180
Rectangle -7500403 true true 150 135 150 150
Rectangle -7500403 false true 150 135 150 150
Rectangle -10899396 true false 150 150 150 195
Polygon -2064490 true false 120 195 180 195 210 285 90 285
Polygon -2064490 true false 120 90 180 90 150 165
Circle -1 true false 152 166 9
Circle -1 true false 139 166 9
Circle -1 true false 139 166 9
Circle -1 true false 152 151 9
Circle -1 true false 139 151 9
Circle -1 true false 152 136 9
Circle -1 true false 139 136 9
Polygon -1 true false 150 90 120 105 120 90 180 90 180 105 150 90
Polygon -6459832 true false 90 30 120 0 180 0 210 30 210 75 180 75 180 30 120 30 120 75 90 75
Polygon -16777216 true false 105 285 135 285 135 300 105 300
Polygon -16777216 true false 165 285 195 285 195 300 165 300 165 285
Circle -13345367 true false 138 168 85
Circle -2064490 true false 45 195 30
Polygon -13345367 true false 60 225 150 195 165 210 60 225
Circle -5825686 true false 146 176 67
Circle -2064490 true false 225 180 30

bambino
false
0
Circle -2064490 true false 210 195 30
Circle -2064490 true false 60 195 30
Circle -13345367 true false 3 33 85
Circle -1 true false 15 45 60
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -11221820 true false 120 90 105 90 60 195 90 210 120 150 120 195 180 195 180 150 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Polygon -11221820 true false 123 90 149 141 177 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 110 5 80
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Rectangle -16777216 true false 179 164 183 186
Rectangle -7500403 true true 150 135 150 150
Rectangle -7500403 false true 150 135 150 150
Rectangle -10899396 true false 150 150 150 195
Line -13345367 false 150 135 150 194
Line -13345367 false 148 133 148 194
Polygon -16777216 true false 180 15 120 15 135 0 165 0
Polygon -16777216 true false 120 15 105 45 120 45 135 0
Polygon -16777216 true false 180 45 195 45 180 15 165 0
Polygon -7500403 true true 75 210 45 90 75 210
Polygon -13345367 false false 105 90 60 195 90 210 120 150
Polygon -2674135 true false 120 90 105 90 114 161 120 195 150 195 150 135 120 90
Polygon -13345367 false false 195 90 240 195 210 210 180 150
Polygon -2674135 true false 180 90 195 90 183 160 180 195 151 195 150 135 180 90
Polygon -13345367 true false 75 210 45 105 30 105

bambino cattura farfalla
false
0
Polygon -13345367 true false 135 210 60 240 75 255 135 210
Circle -2064490 true false 270 195 30
Circle -2064490 true false 120 195 30
Circle -13345367 true false 3 213 85
Polygon -13345367 true false 240 195 180 195 150 285 165 300 195 300 210 225 225 300 255 300 270 285
Polygon -11221820 true false 180 90 165 90 120 195 150 210 180 150 180 195 240 195 240 150 270 210 300 195 255 90 240 90 225 105 210 165 195 105 180 90
Polygon -11221820 true false 183 90 209 141 237 90
Rectangle -7500403 true true 183 76 236 92
Circle -7500403 true true 170 5 80
Line -13345367 false 166 90 239 90
Line -16777216 false 208 143 210 196
Rectangle -16777216 true false 176 186 242 198
Rectangle -16777216 true false 179 164 183 186
Rectangle -7500403 true true 150 135 150 150
Rectangle -7500403 false true 150 135 150 150
Rectangle -10899396 true false 150 150 150 195
Line -13345367 false 210 135 210 194
Line -13345367 false 208 133 208 194
Polygon -16777216 true false 240 15 180 15 195 0 225 0
Polygon -16777216 true false 180 15 165 45 180 45 195 0
Polygon -16777216 true false 240 45 255 45 240 15 225 0
Polygon -7500403 true true 75 210 45 90 75 210
Circle -5825686 true false 15 225 60
Polygon -13345367 false false 165 90 120 195 150 210 180 150
Polygon -2674135 true false 180 90 165 90 174 161 180 195 210 195 210 135 180 90
Polygon -13345367 false false 255 90 300 195 270 210 240 150
Polygon -2674135 true false 240 90 255 90 243 160 240 195 211 195 210 135 240 90

bee
true
0
Polygon -1184463 true false 152 149 77 163 67 195 67 211 74 234 85 252 100 264 116 276 134 286 151 300 167 285 182 278 206 260 220 242 226 218 226 195 222 166
Polygon -16777216 true false 150 149 128 151 114 151 98 145 80 122 80 103 81 83 95 67 117 58 141 54 151 53 177 55 195 66 207 82 211 94 211 116 204 139 189 149 171 152
Polygon -7500403 true true 151 54 119 59 96 60 81 50 78 39 87 25 103 18 115 23 121 13 150 1 180 14 189 23 197 17 210 19 222 30 222 44 212 57 192 58
Polygon -16777216 true false 70 185 74 171 223 172 224 186
Polygon -16777216 true false 67 211 71 226 224 226 225 211 67 211
Polygon -16777216 true false 91 257 106 269 195 269 211 255
Line -1 false 144 100 70 87
Line -1 false 70 87 45 87
Line -1 false 45 86 26 97
Line -1 false 26 96 22 115
Line -1 false 22 115 25 130
Line -1 false 26 131 37 141
Line -1 false 37 141 55 144
Line -1 false 55 143 143 101
Line -1 false 141 100 227 138
Line -1 false 227 138 241 137
Line -1 false 241 137 249 129
Line -1 false 249 129 254 110
Line -1 false 253 108 248 97
Line -1 false 249 95 235 82
Line -1 false 235 82 144 100

bird
false
0
Polygon -7500403 true true 135 165 90 270 120 300 180 300 210 270 165 165
Rectangle -7500403 true true 120 105 180 237
Polygon -7500403 true true 135 105 120 75 105 45 121 6 167 8 207 25 257 46 180 75 165 105
Circle -16777216 true false 128 21 42
Polygon -7500403 true true 163 116 194 92 212 86 230 86 250 90 265 98 279 111 290 126 296 143 298 158 298 166 296 183 286 204 272 219 259 227 235 240 241 223 250 207 251 192 245 180 232 168 216 162 200 162 186 166 175 173 171 180
Polygon -7500403 true true 137 116 106 92 88 86 70 86 50 90 35 98 21 111 10 126 4 143 2 158 2 166 4 183 14 204 28 219 41 227 65 240 59 223 50 207 49 192 55 180 68 168 84 162 100 162 114 166 125 173 129 180

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fiore-appassito
false
0
Polygon -6459832 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 96 51 108
Circle -6459832 true false 113 68 74
Polygon -6459832 true false 189 233 210 225 225 255 225 285 210 255
Polygon -6459832 true false 180 255 150 240 135 255 135 300 150 270
Polygon -7500403 true true 135 60 90 60 60 75 60 135 90 90
Polygon -7500403 true true 120 135 105 105 75 120 60 195 90 135
Polygon -7500403 true true 135 150 120 135 90 150 75 225 105 165
Polygon -7500403 true true 165 150 150 150 135 150 120 240 150 180
Polygon -7500403 true true 144 68 180 30 195 30 225 60 189 53
Polygon -7500403 true true 174 68 210 60 225 75 225 105 210 90
Polygon -7500403 true true 189 98 225 105 225 120 225 150 210 120
Polygon -7500403 true true 174 143 195 135 210 165 210 195 195 165

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -1184463 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

person farmer
false
0
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -1 true false 60 195 90 210 114 154 120 195 180 195 187 157 210 210 240 195 195 90 165 90 150 105 150 150 135 90 105 90
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -13345367 true false 120 90 120 180 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 180 90 172 89 165 135 135 135 127 90
Polygon -6459832 true false 116 4 113 21 71 33 71 40 109 48 117 34 144 27 180 26 188 36 224 23 222 14 178 16 167 0
Line -16777216 false 225 90 270 90
Line -16777216 false 225 15 225 90
Line -16777216 false 270 15 270 90
Line -16777216 false 247 15 247 90
Rectangle -6459832 true false 240 90 255 300

petals
false
0
Circle -7500403 true true 117 12 66
Circle -7500403 true true 116 221 67
Circle -7500403 true true 41 41 67
Circle -7500403 true true 11 116 67
Circle -7500403 true true 41 191 67
Circle -7500403 true true 191 191 67
Circle -7500403 true true 221 116 67
Circle -7500403 true true 191 41 67
Circle -7500403 true true 60 60 180

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

plant medium
false
0
Rectangle -7500403 true true 135 165 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 165 120 120 150 90 180 120 165 165

plant small
false
0
Rectangle -7500403 true true 135 240 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 240 120 195 150 165 180 195 165 240

seme
true
14
Polygon -6459832 true false 150 5 60 150 150 300 240 150
Line -6459832 false 150 0 150 300
Line -16777216 true 150 300 150 15

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 3.1.4
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
